Bug 242545 - Review Request: ftplib - Library of FTP routines
Summary: Review Request: ftplib - Library of FTP routines
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 242544
TreeView+ depends on / blocked
 
Reported: 2007-06-04 19:01 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 00:40:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)
spec file patch (601 bytes, patch)
2007-06-04 19:56 UTC, Dan Horák
no flags Details | Diff

Description Tom "spot" Callaway 2007-06-04 19:01:34 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/ftplib.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/ftplib-3.1-1.fc7.src.rpm
Description: 
ftplib is a set of routines that implement the FTP protocol. They allow
applications to create and access remote files through function calls
instead of needing to fork and exec an interactive ftp client program.
It also has a subpackage, qftp, which is a simple CLI application that uses ftplib.

Note: This package is a BuildRequires for xbiso (242544)

Comment 1 Dan Horák 2007-06-04 19:56:51 UTC
Created attachment 156114 [details]
spec file patch

Comment 2 Dan Horák 2007-06-04 20:18:23 UTC
OK	source files match upstream:
	e7f6b8faab22042595a94c80a784c92da6431951b0ae4aa039b83d6790cab147 
ftplib-3.1-1.tar.gz

OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
BAD	license field doesn't matches the actual license.
		the library is LGPL, the client is GPL

OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.

OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane
OK	shared libraries are added to the regular linker search paths, ldconfig is run
OK	doesn't create new directories
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets are present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers and devel libs are in devel subpackage
OK	no pkgconfig files.
OK	no libtool .la
OK	not a GUI app.

??	package builds in mock (x86_64) - still downloading packages ;-)

Everything looks good, only the licences should be corrected - see the attached
patch.

Comment 4 Dan Horák 2007-06-04 20:47:27 UTC
OK	package builds in mock (i386) and FC-6 (x86_64)

So the package is APPROVED



Comment 5 Tom "spot" Callaway 2007-06-04 21:58:46 UTC
Did my own CVS. For the record:

New Package CVS Request
=======================
Package Name: ftplib
Short Description: Library of FTP routines
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6 F-7
InitialCC: 

Comment 6 Tom "spot" Callaway 2007-06-05 00:40:45 UTC
Built, pushing forward, thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.